package m05bSolicitudReserva_UsuarioEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bSolicitudReserva_Usuario;

/**
 * This is the Remote Interface for the Entity EJB <tt>M05SolicitudReserva_UsuarioEB</tt>.
 *
 * @see     m05.exe.SolicitudReserva_Usuario
 * @see     m05.exe.M05SolicitudReserva_UsuarioEBHome
 * @see     m05.exe.M05SolicitudReserva_UsuarioEBPK
 * @see     m05.exe.M05SolicitudReserva_UsuarioEBBean
 */

public interface m05SolicitudReserva_Usuario extends EJBObject {

  public Integer getIdSolicitud()throws RemoteException;
  public void setIdSolicitud(Integer n)throws RemoteException;

  public String getCodSolicitante()throws RemoteException;
  public void setCodSolicitante(String n)throws RemoteException;

  public String getDni()throws RemoteException;
  public void setDni(String n)throws RemoteException;

  public String getNombre_apellidos()throws RemoteException;
  public void setNombre_apellidos(String n)throws RemoteException;

  public String getTelefono()throws RemoteException;
  public void setTelefono(String n)throws RemoteException;

  public String getTelefonoMovil()throws RemoteException;
  public void setTelefonoMovil(String n)throws RemoteException;

  public String getDomicilio()throws RemoteException;
  public void setDomicilio(String n)throws RemoteException;

  public String getCodProvincia()throws RemoteException;
  public void setCodProvincia(String n)throws RemoteException;
  
  public String getCodMunicipio()throws RemoteException;
  public void setCodMunicipio(String n)throws RemoteException;
  
  public String getCodPostal()throws RemoteException;
  public void setCodPostal(String n)throws RemoteException;
  
  public String getPuesto()throws RemoteException;
  public void setPuesto(String n)throws RemoteException;
  
  public String getCodDepartamento()throws RemoteException;
  public void setCodDepartamento(String n)throws RemoteException;
  
  public String getDesccDepartamento()throws RemoteException;
  public void setDesccDepartamento(String n)throws RemoteException;
  
  public String getDesceDepartamento()throws RemoteException;
  public void setDesceDepartamento(String n)throws RemoteException;
  
  public String getCodDireccion()throws RemoteException;
  public void setCodDireccion(String n)throws RemoteException;
  
  public String getDesccDireccion()throws RemoteException;
  public void setDesccDireccion(String n)throws RemoteException;
  
  public String getDesceDireccion()throws RemoteException;
  public void setDesceDireccion(String n)throws RemoteException;
  
  /**
   * Returns the SolicitudReserva_Usuario information of this E-EJB.
   */
  public m05bSolicitudReserva_Usuario getSolicitudReserva_Usuario()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException
   *
   */
/*  public void setSolicitudReserva_Usuario(SolicitudReserva_Usuario SolicitudReserva_Usuario)
    throws RemoteException, Exception;    */
}